Additional services

Get assigned additional services

Retrieve additional services assigned to your account. In the API context, "additional services" refers to optional subscription-based features that are not part of the core voice or messaging product modules and do not have a dedicated API section. These services may include extra platform subscriptions such as VPN access, experimental features, or other value-added services that are enabled per customer account. Please, contact support for more details if you are interested. Important clarification: This endpoint does NOT include product-level "Reputation" or "Lead" services, which are exposed separately under the Reputation API section. Additional services are managed independently and may vary per customer depending on enabled subscriptions. This endpoint allows filtration and returns data with pagination.

GET
/api/v1/services/additional

Query Parameters

activated_after?string

Optional parameter. Allows to filter out additional services, that were activated after the given date. Format of date is 2026-01-30T00:00:00.000000Z.

activated_before?string

Optional parameter. Allows to filter out additional services, that were activated before the given date. Format of date is 2026-01-30T00:00:00.000000Z.

frequencies?array<>

Accepts a list of subscription frequencies to filter by. If the list is empty, this filter will be ignored.

ids?array<integer>

Accepts a list of additional services unique ids to filter by. If the list is empty, this filter will be ignored.

page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

q?string

Optional parameter that allows to search Additional Services by title and/or comment values. The search operation is partial.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "id" | "service_name" | "title" | "comment" | "billing_period" | "frequency" | "next_payment_at" | "activated_at" | "status" | "activation" | "amount_one_time" | "monthly" | "amount_subscription"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"
subscription_statuses?array<>

Accepts a list of subscription statuses to filter by. If the list is empty, this filter will be ignored.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/services/additional" \  -H "Authorization: string"
{
  "data": [
    {
      "activated_at": "string",
      "activation": 0,
      "comment": "string",
      "frequency": "monthly",
      "id": 0,
      "monthly": 0,
      "next_payment_at": "string",
      "subscription_status": "disabled",
      "title": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.